## org.mortbay.jetty.plus.naming
Class Transaction

    java.lang.Object
      org.mortbay.jetty.plus.naming.NamingEntry
          org.mortbay.jetty.plus.naming.Transaction

    public class Transaction

extends NamingEntry

Transaction

Field Summary
`static String` `USER_TRANSACTION`

Fields inherited from class org.mortbay.jetty.plus.naming.NamingEntry
`absoluteObjectNameString, context, isGlobal, jndiName, namingEntryNameString, objectNameString, objectToBind, scope, SCOPE_GLOBAL, SCOPE_LOCAL`

Constructor Summary
`Transaction(UserTransaction userTransaction)`

Method Summary
`void` `bindToENC()` Add a java:comp/env binding for the object represented by this NamingEntry
`static Transaction` `getTransaction(int scopeType)`
`void` `unbindENC()` Unbind this Transaction from a java:comp

Methods inherited from class org.mortbay.jetty.plus.naming.NamingEntry
`bindToENC, bindToENC, exists, getJndiName, getObjectToBind, getScope, isGlobal, isLocal, lookupNamingEntries, lookupNamingEntry, release, setScope`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### USER_TRANSACTION

    public static final String USER_TRANSACTION

See Also:
  Constant Field Values

Constructor Detail

### Transaction

    public Transaction(UserTransaction userTransaction)
                throws NamingException

Throws:
  `NamingException`

Method Detail

### getTransaction

    public static Transaction getTransaction(int scopeType)
                                      throws NamingException

  Throws:
    `NamingException`

### bindToENC

    public void bindToENC()
                   throws NamingException

  Description copied from class: `NamingEntry`
  Add a java:comp/env binding for the object represented by this NamingEntry

  Overrides:
    `bindToENC` in class `NamingEntry`
  Throws:
    `NamingException`

### unbindENC

    public void unbindENC()

  Unbind this Transaction from a java:comp

  Overrides:
    `unbindENC` in class `NamingEntry`

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.